## python-openstackdocstheme 1.2.5+dfsg1

=== Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/os-doc-demo.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/os-doc-demo.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/os-doc-demo"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/os-doc-demo"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=0.6,!=0.7,<1.0
requests>=2.2.0,!=2.4.0

=== debian/changelog ===
python-openstackdocstheme (1.2.5+dfsg1-1) unstable; urgency=medium

  * Initial release. (Closes: #807039)

 -- Thomas Goirand <zigo@debian.org>  Mon, 05 Oct 2015 10:48:26 +0200

=== debian/control ===
Source: python-openstackdocstheme
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 0.6),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 0.6),
               python3-setuptools,
Build-Depends-Indep: python-oslosphinx,
                     python-requests,
                     python3-requests,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-openstackdocstheme.git
Vcs-Git: git://anonscm.debian.org/openstack/python-openstackdocstheme.git
Homepage: http://docs.openstack.org/

Package: python-openstackdocstheme
Architecture: all
Depends: python-pbr (>= 0.6),
         python-requests,
         ${misc:Depends},
         ${python:Depends},
Suggests: python-openstackdocstheme-doc,
Description: extension support for Sphin OpenStack docs - Python 2.7
 Theme and extension support for Sphinx documentation that is published to
 docs.openstack.org. Intended for use by OpenStack projects.
 .
 This package contains the Python 2.7 module.

Package: python3-openstackdocstheme
Architecture: all
Depends: python3-pbr (>= 0.6),
         python3-requests,
         ${misc:Depends},
         ${python3:Depends},
Suggests: python-openstackdocstheme-doc,
Description: extension support for Sphin OpenStack doc - Python 3.x
 Theme and extension support for Sphinx documentation that is published to
 docs.openstack.org. Intended for use by OpenStack projects.
 .
 This package contains the Python 3.x module.

Package: python-openstackdocstheme-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: extension support for Sphin OpenStack doc - doc
 Theme and extension support for Sphinx documentation that is published to
 docs.openstack.org. Intended for use by OpenStack projects.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/openstack/openstackdocstheme.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-openstackdocstheme; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-openstackdocstheme; \
	done
	rm -rf $(CURDIR)/debian/python*-openstackdocstheme/usr/lib/python*/dist-packages/*.pth
	cp -auxf openstackdocstheme/theme $(CURDIR)/debian/python-openstackdocstheme/usr/lib/python2.7/dist-packages/openstackdocstheme
	cp -auxf openstackdocstheme/theme $(CURDIR)/debian/python3-openstackdocstheme/usr/lib/python3/dist-packages/openstackdocstheme

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html doc/source debian/python-openstackdocstheme-doc/usr/share/doc/python-openstackdocstheme-doc/html
	rm debian/python-openstackdocstheme-doc/usr/share/doc/python-openstackdocstheme-doc/html/search.html
	dh_sphinxdoc -O--buildsystem=python_distutils

	# Fixed the included JS
	rm -r debian/python-openstackdocstheme-doc/usr/share/doc/python-openstackdocstheme-doc/html/_static/jquery.js
	ln -s /usr/share/javascript/jquery/jquery.js debian/python-openstackdocstheme-doc/usr/share/doc/python-openstackdocstheme-doc/html/_static/jquery.js
	rm -r debian/python-openstackdocstheme-doc/usr/share/doc/python-openstackdocstheme-doc/html/_static/underscore.js
	ln -s /usr/share/javascript/underscore/underscore.js debian/python-openstackdocstheme-doc/usr/share/doc/python-openstackdocstheme-doc/html/_static/underscore.js
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_auto_clean:
	echo "Do nothing here..."

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-openstackdocstheme 1.5.0

=== requirements.txt ===
--- 
+++ 
@@ -2,5 +2,5 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 
-pbr>=0.6,!=0.7,<1.0
-requests>=2.2.0,!=2.4.0
+pbr>=1.6 # Apache-2.0
+requests>=2.10.0 # Apache-2.0

=== debian/changelog ===
python-openstackdocstheme (1.5.0-3+1~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Sun, 26 Feb 2017 21:57:37 +0000

python-openstackdocstheme (1.5.0-2) unstable; urgency=medium

  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Sep 2016 19:12:00 +0200

python-openstackdocstheme (1.5.0-1) experimental; urgency=medium

  [ David Della Vecchia ]
  * New upstream release.

  [ Thomas Goirand ]
  * Using OpenStack's Gerrit as VCS URLs.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Sep 2016 11:09:38 +0200

python-openstackdocstheme (1.4.0-2) experimental; urgency=medium

  * Add remove-top-menu.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 Jul 2016 11:46:50 +0000

python-openstackdocstheme (1.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Using a patch instead of using +dfsg1.
  * Fixed (build-)depends for this release.
  * Using pkgos-dh_auto_install from openstack-pkg-tools >= 52~.
  * Refreshed patches.

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 Jul 2016 11:22:32 +0200

python-openstackdocstheme (1.3.0+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * Removed d/p/allow-any-pbr-version.patch (Applied upstream)
  * Rebased d/p/patch-out-external-references.patch
  * Rearranged build depends for new release
  * d/copyright
    - Added Files-Excluded for non-DFSG files
    - Added myself for Debian part
  * Bumped standards version to 3.9.8 (no changes needed)
  * Don't override dh_auto_clean
  * Added libjs-bootstrap to dependencies
  * Symlink Bootstrap JS lib during build
  * Use *.install and *.links inside of calling cp/ln in d/rules
  * Added d/p/use-libjs-jquery.patch
  * Removed python-openstackdocstheme-doc - it didn't contained docs of this
    package, but build of example theme usage

 -- Ondřej Nový <onovy@debian.org>  Sun, 17 Jul 2016 23:06:22 +0200

=== debian/control ===
Source: python-openstackdocstheme
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           David Della Vecchia <ddv@canonical.com>,
Build-Depends: debhelper (>= 10),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr (>= 1.6),
               python-setuptools,
               python3-all,
               python3-pbr (>= 1.6),
               python3-setuptools,
Build-Depends-Indep: python-requests (>= 2.10.0),
                     python3-requests (>= 2.10.0),
Standards-Version: 3.9.8
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-openstackdocstheme?h=debian%2Fnewton
Vcs-Git: https://git.openstack.org/openstack/deb-python-openstackdocstheme -b debian/newton
Homepage: http://docs.openstack.org/

Package: python-openstackdocstheme
Architecture: all
Depends: python-pbr (>= 1.6),
         python-requests (>= 2.10.0),
         libjs-bootstrap,
         ${misc:Depends},
         ${python:Depends},
Description: extension support for Sphin OpenStack docs - Python 2.7
 Theme and extension support for Sphinx documentation that is published to
 docs.openstack.org. Intended for use by OpenStack projects.
 .
 This package contains the Python 2.7 module.

Package: python3-openstackdocstheme
Architecture: all
Depends: python3-pbr (>= 1.6),
         python3-requests (>= 2.10.0),
         libjs-bootstrap,
         ${misc:Depends},
         ${python3:Depends},
Description: extension support for Sphin OpenStack doc - Python 3.x
 Theme and extension support for Sphinx documentation that is published to
 docs.openstack.org. Intended for use by OpenStack projects.
 .
 This package contains the Python 3.x module.

## python-openstackdocstheme 1.16.1

=== debian/changelog ===
python-openstackdocstheme (1.16.1-0ubuntu1) artful; urgency=medium

  * New upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 07 Aug 2017 14:21:48 -0400

python-openstackdocstheme (1.16.0-0ubuntu2) artful; urgency=medium

  * d/control: Set min python-requests to 2.14.2.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Aug 2017 16:19:03 -0400

python-openstackdocstheme (1.16.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/p/patch-out-external-references.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 31 Jul 2017 12:50:48 -0400

python-openstackdocstheme (1.13.0-0ubuntu1) artful; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * d/watch: Get orig tarballs from tarballs.openstack.org.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/Replace_minified_bootstrap_jss_and_css.patch: Dropped. Equivalent
    support has landed upstream.
  * d/p/patch-out-external-references.patch: Rebased.
  * d/p/replace-minified-jquery.patch: Dropped. Fixed upstream.
  * d/p/remove-top-menu.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jul 2017 10:26:58 -0400

=== debian/control ===
Source: python-openstackdocstheme
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           David Della Vecchia <ddv@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr (>= 2.0.0),
               python-setuptools,
               python3-all,
               python3-pbr (>= 2.0.0),
               python3-setuptools,
Build-Depends-Indep: python-requests (>= 2.14.2),
                     python3-requests (>= 2.14.2),
Standards-Version: 3.9.8
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-openstackdocstheme
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-openstackdocstheme
Homepage: http://docs.openstack.org/

Package: python-openstackdocstheme
Architecture: all
Depends: python-pbr (>= 2.0.0),
         python-requests (>= 2.14.2),
         libjs-bootstrap,
         ${misc:Depends},
         ${python:Depends},
Description: extension support for Sphin OpenStack docs - Python 2.7
 Theme and extension support for Sphinx documentation that is published to
 docs.openstack.org. Intended for use by OpenStack projects.
 .
 This package contains the Python 2.7 module.

Package: python3-openstackdocstheme
Architecture: all
Depends: python3-pbr (>= 2.0.0),
         python3-requests (>= 2.14.2),
         libjs-bootstrap,
         ${misc:Depends},
         ${python3:Depends},
Description: extension support for Sphin OpenStack doc - Python 3.x
 Theme and extension support for Sphinx documentation that is published to
 docs.openstack.org. Intended for use by OpenStack projects.
 .
 This package contains the Python 3.x module.

## python-openstackdocstheme 1.18.1

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
# Notes:
# reno needs openstackdocstheme which needs reno (cycle dep).
# os-api-ref needs openstackdocstheme which needs os-api-ref (cycle dep).
# Put them in here will make it clear that those are only needed for
# docs.

os-api-ref>=1.4.0 # Apache-2.0
reno>=2.5.0 # Apache-2.0

=== debian/changelog ===
python-openstackdocstheme (1.18.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 20:57:36 +0000

python-openstackdocstheme (1.18.1-1) experimental; urgency=medium

  * Points VCS URLs to https://salsa.debian.org/openstack-team/.
  * New upstream release.
  * Refreshed / rebased patches.
  * Add use-sphinx-logger.warning.patch.
  * Add remove-gce-block.patch.

 -- Thomas Goirand <zigo@debian.org>  Sat, 10 Feb 2018 15:06:57 +0100

python-openstackdocstheme (1.16.1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Standards-Version is now 4.1.1.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Nov 2017 21:21:29 +0000

python-openstackdocstheme (1.16.1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Fixed debian/gbp.conf to use debian/pike branch.
  * Rebased not-applyable patches.

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.
  * Revert upstream commits that dropped Sphinx search.
  * debian/patches/fix-search.patch: Make Sphinx built-in search
    actually work.

  [ Geoffrey Thomas ]
  * d/p/fix-search.patch: Make Sphinx built-in search actually work.
  * Revert upstream commits that dropped Sphinx search.

 -- Thomas Goirand <zigo@debian.org>  Fri, 04 Aug 2017 03:41:36 +0200

=== debian/control ===
Source: python-openstackdocstheme
Section: python
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>=1.6.2),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
Build-Depends-Indep:
 python-requests (>= 2.10.0),
 python3-requests (>= 2.10.0),
Standards-Version: 4.1.1
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-openstackdocstheme.git
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-openstackdocstheme.git
Homepage: http://docs.openstack.org/

Package: python-openstackdocstheme
Architecture: all
Depends:
 libjs-bootstrap,
 python-pbr (>= 2.0.0),
 ${misc:Depends},
 ${python:Depends},
Description: extension support for Sphin OpenStack docs - Python 2.7
 Theme and extension support for Sphinx documentation that is published to
 docs.openstack.org. Intended for use by OpenStack projects.
 .
 This package contains the Python 2.7 module.

Package: python3-openstackdocstheme
Architecture: all
Depends:
 libjs-bootstrap,
 python3-pbr (>= 2.0.0),
 ${misc:Depends},
 ${python3:Depends},
Description: extension support for Sphin OpenStack doc - Python 3.x
 Theme and extension support for Sphinx documentation that is published to
 docs.openstack.org. Intended for use by OpenStack projects.
 .
 This package contains the Python 3.x module.

## python-openstackdocstheme 1.20.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
dulwich>=0.15.0 # Apache-2.0

=== debian/changelog ===
python-openstackdocstheme (1.20.0-3) unstable; urgency=medium

  * Removed File-Excluded in d/copyright (Closes: #883843).
  * Fixed d/copyright to including missing js attributions.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Sep 2018 01:04:21 +0200

python-openstackdocstheme (1.20.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Sep 2018 23:34:44 +0200

python-openstackdocstheme (1.20.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * Remove use-sphinx-logger.warning.patch not longer relevant.

 -- Thomas Goirand <zigo@debian.org>  Fri, 24 Aug 2018 10:09:08 +0200

python-openstackdocstheme (1.18.1-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Bump my copyright year

  [ Thomas Goirand ]
  * Add python{3,}-sphinx as (runtime) depends (Closes: #896335).

 -- Thomas Goirand <zigo@debian.org>  Sat, 21 Apr 2018 14:36:41 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: python-openstackdocstheme
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  David Della Vecchia <ddv@canonical.com>,
@@ -29,6 +29,7 @@
 Depends:
  libjs-bootstrap,
  python-pbr (>= 2.0.0),
+ python-sphinx,
  ${misc:Depends},
  ${python:Depends},
 Description: extension support for Sphin OpenStack docs - Python 2.7
@@ -42,6 +43,7 @@
 Depends:
  libjs-bootstrap,
  python3-pbr (>= 2.0.0),
+ python3-sphinx,
  ${misc:Depends},
  ${python3:Depends},
 Description: extension support for Sphin OpenStack doc - Python 3.x

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/openstackdocstheme.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/",dversionmangle=s/\+dfsg\d+$// \
https://github.com/openstack/openstackdocstheme/tags .*/(\d[\d\.]+)\.tar\.gz

## python-openstackdocstheme 1.29.1

=== debian/changelog ===
python-openstackdocstheme (1.29.1-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Wed, 13 Mar 2019 15:01:52 +0000

python-openstackdocstheme (1.27.1-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/remove-top-menu.patch: Rebased.
  * d/p/patch-out-external-references.patch: Rebased.
  * d/p/fix-typo-in-logger.warning-call.patch: Dropped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 19 Nov 2018 16:01:59 -0500

python-openstackdocstheme (1.18.1-0ubuntu2) bionic; urgency=medium

  * d/p/fix-typo-in-logger.warning-call.patch: Cherry-picked from gerrit to
    fix typo in logger.warning() call.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 25 Jan 2018 14:12:15 -0500

python-openstackdocstheme (1.18.1-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.1.2.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 25 Jan 2018 10:24:39 -0500

python-openstackdocstheme (1.17.0-0ubuntu2) bionic; urgency=medium

  * d/p/*: Remove search patches as local search has been added back
    to upstream.
  * d/p/remove-top-menu.patch, d/p/patch-out-external-references.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 13 Nov 2017 17:32:40 -0500

python-openstackdocstheme (1.17.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/*: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 13 Nov 2017 14:05:00 -0500

python-openstackdocstheme (1.16.1-2ubuntu1) bionic; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - d/gbp.conf: Retain git-buildpackage config, including use of pristine-tar.
    - d/watch: Get orig tarballs from tarballs.openstack.org.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Nov 2017 09:54:22 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-openstackdocstheme
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  David Della Vecchia <ddv@canonical.com>,
@@ -12,24 +13,33 @@
  python-all,
  python-pbr (>= 2.0.0),
  python-setuptools,
- python-sphinx (>=1.6.2),
+ python-sphinx (>= 1.6.2),
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
+ python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
+ python-dulwich (>= 0.15.0),
+ python-hacking (>= 0.12.0),
+ python-os-api-ref (>= 1.4.0),
+ python-reno (>= 2.5.0),
  python-requests (>= 2.10.0),
+ python3-dulwich (>= 0.15.0),
+ python3-hacking (>= 0.12.0),
+ python3-os-api-ref (>= 1.4.0),
+ python3-reno (>= 2.5.0),
  python3-requests (>= 2.10.0),
-Standards-Version: 4.1.1
-Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-openstackdocstheme.git
-Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-openstackdocstheme.git
+Standards-Version: 4.1.2
+Vcs-Browser: https://anonscm.debian.org/cgit/openstack/libs/python-openstackdocstheme.git
+Vcs-Git: https://anonscm.debian.org/git/openstack/libs/python-openstackdocstheme.git
 Homepage: http://docs.openstack.org/
 
 Package: python-openstackdocstheme
 Architecture: all
 Depends:
  libjs-bootstrap,
+ python-dulwich (>= 0.15.0),
  python-pbr (>= 2.0.0),
- python-sphinx,
  ${misc:Depends},
  ${python:Depends},
 Description: extension support for Sphin OpenStack docs - Python 2.7
@@ -42,8 +52,8 @@
 Architecture: all
 Depends:
  libjs-bootstrap,
+ python3-dulwich (>= 0.15.0),
  python3-pbr (>= 2.0.0),
- python3-sphinx,
  ${misc:Depends},
  ${python3:Depends},
 Description: extension support for Sphin OpenStack doc - Python 3.x

## python-openstackdocstheme 1.31.1

=== debian/changelog ===
python-openstackdocstheme (1.31.1-0ubuntu2~cloud0) bionic-train; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 27 Sep 2019 01:11:45 +0000

python-openstackdocstheme (1.31.1-0ubuntu2) eoan; urgency=medium

  * d/p/catch-any-exception-when-trying-to-call-git.patch: Cherry-picked
    from upstream to catch any exception when trying to call "git".

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 26 Sep 2019 17:50:05 -0400

python-openstackdocstheme (1.31.1-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Sep 2019 16:30:05 -0400

python-openstackdocstheme (1.30.0-0ubuntu3) eoan; urgency=medium

  * Fix debian/rules to avoid python-distutils trying to invoke
    pyversions

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 12 Sep 2019 11:45:31 -0700

python-openstackdocstheme (1.30.0-0ubuntu2) eoan; urgency=medium

  * Drop python2 support.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 12 Sep 2019 07:35:14 -0700

python-openstackdocstheme (1.30.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Jun 2019 15:01:21 -0400

## python-openstackdocstheme 2.0.1

=== debian/changelog ===
python-openstackdocstheme (2.0.1-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/p/remove-top-menu.patch: Rebased.
  * dp/patch-out-external-references.patch: Rebaed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Apr 2020 14:10:27 -0400

python-openstackdocstheme (2.0.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/p/remove-top-menu.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 12 Mar 2020 13:32:37 -0400

python-openstackdocstheme (1.31.2-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/p/catch-any-exception-when-trying-to-call-git.patch: Dropped. Fixed upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Mon, 03 Feb 2020 10:22:37 +0000

=== debian/control ===
Source: python-openstackdocstheme
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python3-dulwich (>= 0.15.0),
 python3-hacking (>= 1.1.0),
 python3-os-api-ref (>= 1.4.0),
 python3-reno (>= 2.5.0),
 python3-requests (>= 2.10.0),
Standards-Version: 4.1.2
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/libs/python-openstackdocstheme.git
Vcs-Git: https://anonscm.debian.org/git/openstack/libs/python-openstackdocstheme.git
Homepage: http://docs.openstack.org/

Package: python3-openstackdocstheme
Architecture: all
Depends:
 libjs-bootstrap,
 python3-dulwich (>= 0.15.0),
 python3-pbr (>= 2.0.0),
 ${misc:Depends},
 ${python3:Depends},
Description: extension support for Sphin OpenStack doc - Python 3.x
 Theme and extension support for Sphinx documentation that is published to
 docs.openstack.org. Intended for use by OpenStack projects.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -4,14 +4,16 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python2,python3
+	dh $@ --buildsystem=python_distutils --with python3
+
+override_dh_auto_clean:
+	rm -rf build
+
+override_dh_auto_build:
+	echo "Do nothing..."
 
 override_dh_auto_install:
-	pkgos-dh_auto_install
-
-override_dh_clean:
-	dh_clean -O--buildsystem=python_distutils
-	rm -rf build
+	pkgos-dh_auto_install --no-py2
 
 # Commands not to run
 override_dh_installcatalogs:

## python-openstackdocstheme 2.2.5

=== debian/changelog ===
python-openstackdocstheme (2.2.5-0ubuntu1~cloud0) focal-victoria; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 28 Jul 2020 17:37:26 +0000

python-openstackdocstheme (2.2.5-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Fri, 24 Jul 2020 12:48:36 +0000

python-openstackdocstheme (2.2.2-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/patch-out-external-references.patch: Rebased.
  * d/control, d/rules, d/compat: Switch to debhelper compat 12 and pybuild.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 11 Jun 2020 09:49:04 -0400

## python-openstackdocstheme 2.2.7

=== debian/changelog ===
python-openstackdocstheme (2.2.7-0ubuntu2~cloud0) focal-wallaby; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 07 Dec 2020 20:18:14 +0000

python-openstackdocstheme (2.2.7-0ubuntu2) hirsute; urgency=medium

  * No-change rebuild to drop python3.8 extensions.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Dec 2020 18:45:27 +0100

python-openstackdocstheme (2.2.7-0ubuntu1) hirsute; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * New upstream release for OpenStack Wallaby.
  * d/p/remove-top-menu.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Dec 2020 12:25:04 -0500

=== debian/control ===
--- 
+++ 
@@ -7,20 +7,20 @@
  Thomas Goirand <zigo@debian.org>,
  David Della Vecchia <ddv@canonical.com>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 12),
  dh-python,
  openstack-pkg-tools,
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx (>= 1.6.2),
+ python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
  python3-dulwich (>= 0.15.0),
  python3-hacking (>= 1.1.0),
  python3-os-api-ref (>= 1.4.0),
  python3-reno (>= 2.5.0),
  python3-requests (>= 2.10.0),
-Standards-Version: 4.1.2
+Standards-Version: 4.5.0
 Vcs-Browser: https://anonscm.debian.org/cgit/openstack/libs/python-openstackdocstheme.git
 Vcs-Git: https://anonscm.debian.org/git/openstack/libs/python-openstackdocstheme.git
 Homepage: http://docs.openstack.org/

## python-openstackdocstheme 2.3.0

=== doc/requirements.txt ===
--- 
+++ 
@@ -8,4 +8,4 @@
 # docs.
 
 os-api-ref>=1.4.0 # Apache-2.0
-reno>=2.5.0 # Apache-2.0
+reno>=3.1.0 # Apache-2.0

=== debian/changelog ===
python-openstackdocstheme (2.3.0-0ubuntu3) lunar; urgency=medium

  * Rebuild to drop Python 3.10 extension

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 01 Mar 2023 18:00:26 -0500

python-openstackdocstheme (2.3.0-0ubuntu2) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 23:51:44 +0000

python-openstackdocstheme (2.3.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.
  * d/p/patch-out-external-references.patch: Refreshed.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 09 Jun 2021 07:39:12 +0000

## python-openstackdocstheme 3.2.0

=== debian/changelog ===
python-openstackdocstheme (3.2.0-3) unstable; urgency=medium

  * Upgrade to bootstrap 5 (Closes: #1088497).

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Jan 2025 12:36:50 +0100

python-openstackdocstheme (3.2.0-2) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090547).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 09:33:42 +0100

python-openstackdocstheme (3.2.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.
  * d/copyright: Bump my copyright year.
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * New upstream release.
  * Rebased/remove-now-useless patches.
  * Use --in-tmp when calling pkgos-dh_auto_install.
  * Use symlinks to system fonts instead of embedding them.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Aug 2023 17:20:50 +0200

python-openstackdocstheme (1.20.0-5) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Jul 2019 21:46:22 +0200

python-openstackdocstheme (1.20.0-4) experimental; urgency=medium

  [ Mattia Rizzolo ]
  * Team upload.
  * Also bump the runtime dependency on sphinx, as stretch doesn't have a new
    enough version.

  [ Thomas Goirand ]
  * Bump Standards-Version to 4.3.0, no changes needed.
  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 Mar 2019 12:15:57 +0100

=== debian/control ===
Source: python-openstackdocstheme
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-requests,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-openstackdocstheme
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-openstackdocstheme.git
Homepage: http://docs.openstack.org/

Package: python3-openstackdocstheme
Architecture: all
Depends:
 fonts-font-awesome,
 fonts-glyphicons-halflings,
 libjs-bootstrap5,
 python3-pbr,
 python3-sphinx (>= 1.6.2),
 ${misc:Depends},
 ${python3:Depends},
Description: extension support for Sphin OpenStack doc - Python 3.x
 Theme and extension support for Sphinx documentation that is published to
 docs.openstack.org. Intended for use by OpenStack projects.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/openstackdocstheme.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp
	mv $(CURDIR)/debian/tmp/usr/bin/docstheme-build-translated.sh $(CURDIR)/debian/tmp/usr/bin/docstheme-build-translated
	mv $(CURDIR)/debian/tmp/usr/bin/docstheme-lang-display-name.py $(CURDIR)/debian/tmp/usr/bin/docstheme-lang-display-name

override_dh_link:
	rm $(CURDIR)/debian/python3-openstackdocstheme/usr/lib/python3/dist-packages/openstackdocstheme/theme/openstackdocs/static/fonts/FontAwesome.otf
	rm $(CURDIR)/debian/python3-openstackdocstheme/usr/lib/python3/dist-packages/openstackdocstheme/theme/openstackdocs/static/fonts/fontawesome-webfont.ttf
	rm $(CURDIR)/debian/python3-openstackdocstheme/usr/lib/python3/dist-packages/openstackdocstheme/theme/openstackdocs/static/fonts/glyphicons-halflings-regular.ttf
	dh_link

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3
